Package org.bukkit.plugin.messaging

# Interface PluginMessageListener

public interface PluginMessageListener
A listener for a specific Plugin Channel, which will receive notifications of messages sent from a client.

## Method Summary

Modifier and Type
Method
Description
`void`
`onPluginMessageReceived(@NotNull String channel, @NotNull Player player, @org.jetbrains.annotations.NotNull byte[] message)`
A method that will be thrown when a PluginMessageSource sends a plugin message on a registered channel.

## Method Details

### onPluginMessageReceived

void onPluginMessageReceived(@NotNull @NotNull String channel, @NotNull @NotNull Player player, @NotNull @org.jetbrains.annotations.NotNull byte[] message)
A method that will be thrown when a PluginMessageSource sends a plugin message on a registered channel.

Parameters:
  `channel` - Channel that the message was sent through.
  `player` - Source of the message.
  `message` - The raw message that was sent.